Subject: bug#11890: 24.1; (wrong-type-argument processp nil) in `shell-mode'

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 28 Apr 2016 18:13:02 +0200

Drew Adams <[email-masked]> writes:

>> Do you have a recipe from -Q?  From the backtrace included, it kinda
>> looked like the bug was triggered from your own code.
>
> No, and it should not matter.  The command should not just barf with
> a wrong-type error msg.
>
> As the bug report says:
>
>   Clearly, this code in shell.el is not tolerant of there being no process:
>
>   (file-name-nondirectory
>    (car (process-command (get-buffer-process (current-buffer)))))
>
>   I imagine that it should be, or rather that it should perhaps raise an
>   error with a more suitable message.

There are many functions that may fail if called with invalid parameters
or in invalid buffers.  Emacs does not attempt to cover them all with
user-level error messages.

If you don't have a recipe here, I don't see what how to proceed
further, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no